<link  rel="stylesheet" type="text/css"  media="all" href="https://sandbox.alogic.co/media/home.css" />
<?php

$items = $block->getProductCollection()->setPageSize(8)
    ->setCurPage(1)->getItems();
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
$image = 'product_base_image';
$thumnail = 'product_thumbnail_image';
$_hideCartHelper = $this->helper('Alogic\Customtheme\Helper\Data');
$isCartDisabled = $_hideCartHelper->getIsCartDisabled();

?>
 
<div class="row">
  <div class="col-lg-12 col-md-12 col-sm-12">
  <div class="featured-products">
<?php $i=0; foreach ($items as $_product): $i++; ?>

	<div class="col-lg-4 col-md-4">
<?php $productImage = $_imagehelper->init($_product, $image)->resize(400, 400)->getUrl(); ?>
<?php $productThumbail = $_imagehelper->init($_product, $thumnail)->resize(400, 400)->getUrl(); ?>
   <div class="al_fe_products">
      <div class="al-flip-box">
        <div class="al-flip-box-inner">
          <div class="al-flip-box-front">
            <img class="img-responsive" src="<?php echo $productImage ?>" alt="<?php echo $_product->getName(); ?>" />
          </div>
          <div class="al-flip-box-back">
            <img class="img-responsive" src="<?php echo $productThumbail ?>" alt="<?php echo $_product->getName(); ?>" />
          </div>
        </div>
      </div>
      <div class="al_flip_desc">
        <?php if (!$isCartDisabled){ ?>
          <?php if ($_product->isSaleable()){ ?>
          <?php }else{ ?>
            <div class="notify-box">
              <div class="product alert notify-box-stock overriden">
                <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
              </div>
            </div>
          <?php }?>
        <?php }?>

          


        <h3>
          <?php
          
         
               $len = strlen($_product->getName());
               $productName = substr($_product->getName(),0,40);
               if($len > 40) {
                $productName .= '...';
               }
                                                    
          //$productName = strlen($productName) > 50 ? substr($productName,0,50)."..." : $productName; 
          ?>   
          <a href="<?php echo $_product->getProductUrl() ?>">     
            <?php echo $productName; ?>          
          
          </a>
        </h3>
        <p>Part Number: <?php echo $_product->getSku(); ?></p>
        <div class="al_pro_price"><?php echo $block->getProductPrice($_product) ?></div>
            
        <?php if (!$isCartDisabled){ ?>
                  <?php if ($_product->isSaleable()){ ?>
                            <div>                              
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form a" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="al_add_cart btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">Add to cart
                                </button>
                              </form>
                            </div>
                          <?php }?>
                          <?php }?>
    
      </div>
    </div>
    </div>
<?php endforeach ?>
</div>
</div>
</div>
